/**
 * Registration of Monicoin trades for ores
 */

ServerEvents.recipes(event => {
    if (doMonicoins) {
        // moniPENNY RECIPES
        event.shaped(Item.of("minecraft:clay_ball", 1), [
            "AAA",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:pitchblende_ore", 1), [
            "A  ",
            "AAA",
            "  A"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:saltpeter_ore", 1), [
            " A ",
            "AAA",
            "  A"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:graphite_ore", 1), [
            "  A",
            "AAA",
            "  A"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:powellite_ore", 1), [
            " A ",
            "AAA",
            "A  "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:oilsands_ore", 1), [
            "A  ",
            "AAA",
            " A "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:tricalcium_phosphate_ore", 1), [
            "   ",
            "AAA",
            " AA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:apatite_ore", 1), [
            "A  ",
            "  A",
            "AAA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:beryllium_ore", 1), [
            "AA ",
            "   ",
            "AAA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:salt_ore", 1), [
            " A ",
            "  A",
            "AAA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:rock_salt_ore", 1), [
            "   ",
            " AA",
            "AAA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:lazurite_ore", 1), [
            "AA ",
            "  A",
            "AA "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:vanadium_magnetite_ore", 1), [
            "AA ",
            " AA",
            "A  "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:calcite_ore", 1), [
            "AA ",
            "AAA",
            "   "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:sodalite_ore", 1), [
            "AAA",
            "   ",
            " AA"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:lapis_ore", 1), [
            "AAA",
            "   ",
            "AA "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:coal_ore", 1), [
            "AAA",
            " AA",
            "   "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:cinnabar_ore", 1), [
            "AAA",
            "A  ",
            "  A"
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:redstone_ore", 1), [
            "AAA",
            "A  ",
            " A "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:talc_ore", 1), [
            "AAA",
            "A  ",
            "A  "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:pyrope_ore", 1), [
            "AAA",
            "A A",
            "   "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:soapstone_ore", 1), [
            "AAA",
            "AA ",
            "   "
        ], {
            A: "kubejs:moni_penny"
        }).noMirror().noShrink()

        // moniNICKEL RECIPES
        event.shaped(Item.of("gtceu:rubber_sapling", 1), [
            "A A",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:green_sapphire_ore", 1), [
            "AAA",
            "A A",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:sapphire_ore", 1), [
            "AAA",
            "AA ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:cobaltite_ore", 1), [
            "AAA",
            "AA ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:neodymium_ore", 1), [
            "AAA",
            "AA ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:realgar_ore", 1), [
            "AAA",
            "AA ",
            "A A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:electrotine_ore", 1), [
            "AAA",
            "AA ",
            "AAA"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:tantalite_ore", 1), [
            " A ",
            "AAA",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:sphalerite_ore", 1), [
            "AA ",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:uraninite_ore", 1), [
            "AA ",
            "   ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:silver_ore", 1), [
            "AA ",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:spessartine_ore", 1), [
            "AA ",
            "   ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:lead_ore", 1), [
            "AA ",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:molybdenite_ore", 1), [
            "AAA",
            "A  ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:bastnasite_ore", 1), [
            "AAA",
            "A A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:monazite_ore", 1), [
            "AAA",
            "AA ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:tetrahedrite_ore", 1), [
            "AAA",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:topaz_ore", 1), [
            "   ",
            "AAA",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:ruby_ore", 1), [
            "AAA",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:stibnite_ore", 1), [
            "AAA",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:thorium_ore", 1), [
            "AA ",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:malachite_ore", 1), [
            "AAA",
            "   ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:pyrite_ore", 1), [
            "AAA",
            "AAA",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:galena_ore", 1), [
            "   ",
            "   ",
            "AA "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:almandine_ore", 1), [
            "A A",
            "   ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:garnierite_ore", 1), [
            "A  ",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:nickel_ore", 1), [
            "A  ",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:barite_ore", 1), [
            "A  ",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:lepidolite_ore", 1), [
            "A  ",
            "   ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:bentonite_ore", 1), [
            "A  ",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:aluminium_ore", 1), [
            "A  ",
            "   ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:bauxite_ore", 1), [
            " AA",
            "   ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:grossular_ore", 1), [
            " A ",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:pyrolusite_ore", 1), [
            " A ",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:magnesite_ore", 1), [
            " A ",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:olivine_ore", 1), [
            " A ",
            "   ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:tin_ore", 1), [
            " A ",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:cassiterite_ore", 1), [
            " A ",
            "   ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:lithium_ore", 1), [
            "  A",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:spodumene_ore", 1), [
            "  A",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:chalcopyrite_ore", 1), [
            "  A",
            "  A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:copper_ore", 1), [
            "  A",
            "   ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:sulfur_ore", 1), [
            "  A",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:quartzite_ore", 1), [
            "  A",
            "   ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:nether_quartz_ore", 1), [
            "   ",
            "AA ",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:certus_quartz_ore", 1), [
            "   ",
            "A A",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:pentlandite_ore", 1), [
            "   ",
            "A  ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:glauconite_sand_ore", 1), [
            "   ",
            "A  ",
            " A "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        /* event.shaped(

          Item.of('gtceu:brown_limonite_ore', 1),
          [
            'A  ',
            ' A ',
            '   '
          ],
          {
            A: 'kubejs:moni_nickel'
          }).noMirror().noShrink()*/

        event.shaped(Item.of("gtceu:yellow_limonite_ore", 1), [
            "   ",
            "A  ",
            "  A"
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:iron_ore", 1), [
            "   ",
            " AA",
            "   "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:magnetite_ore", 1), [
            "   ",
            " A ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:gypsum_ore", 1), [
            "   ",
            "  A",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()

        // moniQUARTER RECIPES
        event.shaped(Item.of("gtceu:gold_ore", 1), [
            "A A",
            "   ",
            "   "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:emerald_ore", 1), [
            " A ",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:palladium_ore", 1), [
            "A  ",
            "   ",
            " A "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:molybdenum_ore", 1), [
            " AA",
            "AA ",
            "A  "
        ], {
            A: "kubejs:moni_nickel"
        }).noMirror().noShrink()


        event.shaped(Item.of("gtceu:ilmenite_ore", 1), [
            "A  ",
            " A ",
            "   "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:platinum_ore", 1), [
            "A  ",
            "A  ",
            "   "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:cooperite_ore", 1), [
            "A  ",
            "AA ",
            "   "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()

        event.shaped(Item.of("gtceu:diamond_ore", 1), [
            "   ",
            "  A",
            "A  "
        ], {
            A: "kubejs:moni_quarter"
        }).noMirror().noShrink()
    }
})
